Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79125 - Printer 'data' light not cleared on termination
Summary: Printer 'data' light not cleared on termination
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: foomatic
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-06 00:37 UTC by Richard Stonehouse
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-18 16:13:45 UTC


Attachments (Terms of Use)

Description Richard Stonehouse 2002-12-06 00:37:38 UTC
From Bugzilla Helper:
User-Agent: Opera/6.1 (Linux 2.4.18-29Oct2002 i686; U)  [en]

Description of problem:
Using the 'foomatic' ljet4 driver with an HP LaserJet 4L printer, the 'data' light on the printer remains on after completion of a print job.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Select the driver 'HP LaserJet 4L, Foomatic + ljet4 (en)' in CUPS or LPRng.
2.Print a file to HP Laserjet 4L printer.
3.
	

Actual Results:  File prints OK, but after termination of the print job, the 'data' light on the printer remains on. This means that the printer will not switch into its power-saving mode. To clear the 'data' light and enable power-saving mode, it is necessary to press the 'reset' button on the printer and feed another sheet of paper.

Expected Results:  'Data' light should be extinguished at end of print job.

Additional info:

CUPS offers a list of 13 drivers for the HP LaserJet 4L, but 10 of the entries appear to be identical. Of the 4 distinct drivers offered:

1. HP LaserJet 4L, CUPS + GIMP-print v.4.2.1 (en)

   Does not suffer from the problem of leaving the 'data'
   light on, but has two worse problems:
   
   (a) print misaligned so that top of page is missing; and
   
   (b) poor print quality - looks 'grainy' (I suspect it may
       not be using all the font smoothing capabilities of
       the LaserJet 4L printer)
   
2. HP LaserJet 4L, Foomatic + gimp-print (en)

   Does not suffer from the problem of leaving the 'data'
   light on, but print quality is poor as in 1(b) above.

3. HP LaserJet 4L, Foomatic + gimp-print-ijs (en)

   Does have the problem of leaving the 'data' light on, and
   also produces poor print quality as in 1(b) above.

4. HP LaserJet 4L, Foomatic + ljet4 (en)
   
   This is the driver to which this report relates. Print quality
   is good, but the 'data' light is left on at end of job.

The www.linuxprinting.org web-site recommends the ljet4 driver for the HP LaserJet 4L. A ppd file generated using this site gives identical results to number 4 above.

Printing a postscript file directly using ghostscript does not leave the 'data' light on, but produces giant size print.

Comment 1 Bill Nottingham 2006-08-07 18:50:57 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Comment 2 Bill Nottingham 2006-10-18 16:13:45 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.